"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Messenger = function Messenger(props) {
  var size = props.size,
      bg = props.bg,
      fg = props.fg;
  return _react.default.createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 512 512",
    width: size,
    height: size
  }, _react.default.createElement("circle", {
    fill: bg,
    cx: "256",
    cy: "256",
    r: "256"
  }), _react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M175.607 384v-45.415C147.164 316.94 129 283.975 129 247.056 129 181.855 185.649 129 255.528 129c69.885 0 126.529 52.855 126.529 118.056 0 65.196-56.644 118.055-126.529 118.055-13.037 0-25.619-1.841-37.456-5.253L175.607 384zm-1.826-97.032l68.236-72.247 32.751 33.476 61.411-33.476-67.851 72.247-32.446-34.072-62.101 34.072z",
    fill: fg
  }));
};

Messenger.propTypes = {
  size: _propTypes.default.number,
  bg: _propTypes.default.string,
  fg: _propTypes.default.string
};
Messenger.defaultProps = {
  size: 512,
  bg: '#1e1e1e',
  fg: '#fff'
};
var _default = Messenger;
exports.default = _default;